Bug 2235056 (python-banal) - Review Request: python-banal - Commons of stupid, simple Python micro functions
Summary: Review Request: python-banal - Commons of stupid, simple Python micro functions
Keywords:
Status: CLOSED ERRATA
Alias: python-banal
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/pudo/banal
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-08-26 11:20 UTC by Robert-André Mauchin 🐧
Modified: 2023-11-03 18:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-24 01:11:32 UTC
Type: ---
Embargoed:
code: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2023-08-26 11:20:28 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/python-banal.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/python-banal-1.0.6-1.fc38.src.rpm

Description:
Commons of Python micro-functions. This basically an out-sourced, shared utils module with a focus on functions that buffer type uncertainties in Python .

Fedora Account System Username: eclipseo

To build it against the dependencies, use the following COPR in your rawhide mock.cfg:

[copr:copr.fedorainfracloud.org:eclipseo:scancode-toolkit]
name=Copr repo for scancode-toolkit owned by eclipseo
baseurl=https://download.copr.fedorainfracloud.org/results/eclipseo/scancode-toolkit/fedora-rawhide-/
type=rpm-md
skip_if_unavailable=True
gpgcheck=1
gpgkey=https://download.copr.fedorainfracloud.org/results/eclipseo/scancode-toolkit/pubkey.gpg
repo_gpgcheck=0
enabled=1
enabled_metadata=1

Comment 1 Fedora Review Service 2023-08-26 11:25:13 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6345536
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2235056-python-banal/fedora-rawhide-x86_64/06345536-python-banal/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Ben Beasley 2023-08-26 13:56:49 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

- Since there are no upstream tests, you must run a “at least a basic smoke
  test (such as importing the packaged module)”. The best way to do this is:

    %check
    %pyproject_check_import

  This requirement was introduced with the “new” Python guidelines.

  https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_running_tests

===== Notes/Suggestions (not required for approval) =====

- Consider writing just “%pyproject_buildrequires” instead of
  “%pyproject_buildrequires -t”, since there are no tests and you do not need
  to generate test BR’s via tox. This will save some unnecessary tox-related
  generated BR’s.

- The %URL macro does not need to be upper-cased; it works this way, but I
  think writing %url or %{url} would be less surprising.

- As usual, I think that the “%global pypi_name banal” approach is less
  readable than just writing out the PyPI name everywhere and doesn’t deliver
  enough reusability to be worth it; however, this is purely a matter of
  personal taste, and there is nothing objectively wrong with the macro
  indirection.

- Since setuptools sets the License-File header in the wheel metadata for this
  package, pyproject-rpm-macros is able to correctly mark the license file in
  the dist-info directory with %license.

     $ rpm -qL -p results/python3-banal-1.0.6-1.fc40.noarch.rpm 
     /usr/lib/python3.12/site-packages/banal-1.0.6.dist-info/LICENSE
     /usr/share/licenses/python3-banal/LICENSE

  You are therefore permitted, but not required, to remove the explicit

    %license LICENSE

  from the %files section.

  See also:

  https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text

  https://pagure.io/packaging-committee/issue/1223

  https://lists.fedoraproject.org/archives/list/python-devel@lists.fedoraproject.org/thread/YDIHALW766GRSYU3GL635QER2MQABML6/

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "*No copyright* MIT
     License". 12 files have unknown license. Detailed output of
     licensecheck in /home/ben/Downloads/review/2235056-python-
     banal/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

     $ rpm -qL -p results/python3-banal-1.0.6-1.fc40.noarch.rpm 
     /usr/lib/python3.12/site-packages/banal-1.0.6.dist-info/LICENSE
     /usr/share/licenses/python3-banal/LICENSE

[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 740 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

       https://koji.fedoraproject.org/koji/taskinfo?taskID=105345147

[!]: %check is present and all tests pass.

     Since there are no upstream tests, a “smoke test” is needed.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-banal-1.0.6-1.fc40.noarch.rpm
          python-banal-1.0.6-1.fc40.src.rpm
=============================================== rpmlint session starts ===============================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp7bd001hg')]
checks: 31, packages: 2

================ 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.4 s ================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://github.com/pudo/banal/archive/1.0.6/banal-1.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 2814ff0d8a92271dadc222afb4e17fc949413b105c20d7cfe5515f941cdda386
  CHECKSUM(SHA256) upstream package : 2814ff0d8a92271dadc222afb4e17fc949413b105c20d7cfe5515f941cdda386


Requires
--------
python3-banal (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-banal:
    python-banal
    python3-banal
    python3.12-banal
    python3.12dist(banal)
    python3dist(banal)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2235056
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: R, Haskell, Java, Perl, PHP, C/C++, Ocaml, fonts, SugarActivity
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 3 Ben Beasley 2023-08-26 13:58:13 UTC
Oops, one other note/suggestion:

- There is an extra space before the period at the end of the description text.

Comment 5 Ben Beasley 2023-08-27 12:38:56 UTC
The one issue from the previous review has been addressed, and several suggestions are implemented.

I’m still not sure what’s going on with the package description:

  %global common_description %{expand:
  Commons of Python micro-functions. This basically an out-sourced, shared utils
  module with a focus on functions that buffer type uncertainties in Python \.}

It seems like it should be:

  %global common_description %{expand:
  Commons of Python micro-functions. This basically an out-sourced, shared utils
  module with a focus on functions that buffer type uncertainties in Python.}

Anyway, the package complies with guidelines and is APPROVED.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "*No copyright* MIT
     License". 12 files have unknown license. Detailed output of
     licensecheck in /home/ben/Downloads/review/2235056-python-
     banal/20230827/2235056-python-banal/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

     $ rpm -qL -p ./results/python3-banal-1.0.6-1.fc40.noarch.rpm 
     /usr/lib/python3.12/site-packages/banal-1.0.6.dist-info/LICENSE

[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 740 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

     (Upstream lacks tests; smoke-test only.)

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-banal-1.0.6-1.fc40.noarch.rpm
          python-banal-1.0.6-1.fc40.src.rpm
=============================================== rpmlint session starts ===============================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpf19vbnx3')]
checks: 31, packages: 2

================ 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.5 s ================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://github.com/pudo/banal/archive/1.0.6/banal-1.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 2814ff0d8a92271dadc222afb4e17fc949413b105c20d7cfe5515f941cdda386
  CHECKSUM(SHA256) upstream package : 2814ff0d8a92271dadc222afb4e17fc949413b105c20d7cfe5515f941cdda386


Requires
--------
python3-banal (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-banal:
    python-banal
    python3-banal
    python3.12-banal
    python3.12dist(banal)
    python3dist(banal)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2235056
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: C/C++, fonts, R, SugarActivity, Java, Ocaml, PHP, Haskell, Perl
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 6 Robert-André Mauchin 🐧 2023-08-27 16:09:50 UTC
Ah typo, thanks for the review!

Comment 7 Robert-André Mauchin 🐧 2023-08-27 16:15:07 UTC
I have updated all other packages missing a %check section, and pytest dependencies.

Comment 8 Fedora Admin user for bugzilla script actions 2023-10-15 11:55:46 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-banal

Comment 9 Robert-André Mauchin 🐧 2023-10-15 11:55:55 UTC
Thank you for the review, Ben

https://pagure.io/releng/fedora-scm-requests/issue/57211

Comment 10 Fedora Update System 2023-10-15 12:23:18 UTC
FEDORA-2023-003f5ce545 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-003f5ce545

Comment 11 Fedora Update System 2023-10-15 12:40:40 UTC
FEDORA-2023-9345310384 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9345310384

Comment 12 Fedora Update System 2023-10-15 13:06:55 UTC
FEDORA-2023-e1a37678da has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e1a37678da

Comment 13 Fedora Update System 2023-10-16 01:30:09 UTC
FEDORA-2023-e1a37678da has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e1a37678da \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e1a37678da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-10-16 01:38:14 UTC
FEDORA-2023-003f5ce545 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-003f5ce545 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-003f5ce545

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-10-16 01:44:56 UTC
FEDORA-2023-9345310384 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9345310384 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9345310384

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-10-24 01:11:32 UTC
FEDORA-2023-e1a37678da has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-10-24 01:21:38 UTC
FEDORA-2023-9345310384 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-11-03 18:37:50 UTC
FEDORA-2023-003f5ce545 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.